Name:           perl-Catalyst-Log-Log4perl
Version:        1.05
Release:        1%{?dist}
Summary:        Log::Log4perl logging for Catalyst (DEPRECATED)
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Log-Log4perl/
Source0:        http://search.cpan.org/CPAN/authors/id/B/BO/BOBTFISH/Catalyst-Log-Log4perl-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Catalyst) >= 5.60
BuildRequires:  perl(Data::Dump)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Log::Log4perl) >= 1.04
BuildRequires:  perl(MRO::Compat)
BuildRequires:  perl(Params::Validate)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides a Catalyst::Log implementation that uses Log::Log4perl
as the underlying log mechanism. 

DEPRECATED in favor of perl-Log-Log4perl

%prep
%setup -q -n Catalyst-Log-Log4perl-%{version}

%build
PERL5_CPANPLUS_IS_RUNNING=1 %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes example.conf README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Sep 30 2011 Iain Arnell <iarnell@gmail.com> 1.05-1
- Update to last upstream version
- This package is DEPRECATED in favor of perl-Log-Log4perl and will
  likely be retired in the not too distant future

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 1.04-7
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.04-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 15 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.04-5
- 661697 rebuild for fixing problems with vendorach/lib

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.04-4
- Mass rebuild with perl-5.12.0

* Mon Jan 11 2010 Iain Arnell <iarnell@gmail.com> 1.04-3
- fix Source0 location (was BADURL)

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.04-2
- rebuild against perl 5.10.1

* Sun Oct 25 2009 Iain Arnell <iarnell@gmail.com> 1.04-1
- update to latest upstream

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Apr 04 2009 Iain Arnell <iarnell@gmail.com> 1.03-1
- update to latest upstream

* Sun Mar 15 2009 Iain Arnell <iarnell@gmail.com> 1.02-1
- update to latest upstream
- remove unnecessary explicit requires

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.00-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Nov 26 2008 Iain Arnell <iarnell@gmail.com> 1.00-1
- Specfile autogenerated by cpanspec 1.77.
